package DB;
public final class Exception
	extends org.omg.CORBA.UserException
{
	public int sqlcode;
	public java.lang.String sqlstate;
	public java.lang.String sqlmessage;
	public Exception()
	{
		super(DB.ExceptionHelper.id());
	}
	public Exception(java.lang.String _reason,int sqlcode, java.lang.String sqlstate, java.lang.String sqlmessage)
	{
		super(DB.ExceptionHelper.id()+""+_reason );
		this.sqlcode = sqlcode;
		this.sqlstate = sqlstate;
		this.sqlmessage = sqlmessage;
	}
	public Exception(int sqlcode, java.lang.String sqlstate, java.lang.String sqlmessage)
	{
		this.sqlcode = sqlcode;
		this.sqlstate = sqlstate;
		this.sqlmessage = sqlmessage;
	}
}
